Summary: A high-performance CORBA Object Request Broker.
Name: ORBit
Version: 0.5.17
Release: 10.4
Epoch: 1
Source: ftp://ftp.labs.redhat.com/pub/ORBit/%{name}-%{version}.tar.bz2
Patch0: ORBit-0.5.17-aligned-access.patch
Group: System Environment/Daemons
License: LGPL/GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: tcp_wrappers
Prereq: /sbin/install-info
URL: http://www.labs.redhat.com/orbit/

BuildRequires: glib-devel

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they are written in or the operating system they run on.

You will need to install this package and ORBit-devel if you want to
write programs that use CORBA technology.

%package devel
Summary: Development libraries, header files and utilities for ORBit.
Group: Development/Libraries
Requires: indent
Requires: glib-devel
Requires: ORBit = %{epoch}:%{version}

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the
C language.

This package contains the header files, libraries, and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you also need to install the ORBit package.

%prep
%setup -q
%patch0 -p1 -b .aligned

%build
%configure
make ## %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# remove unpackaged files
rm -f $RPM_BUILD_ROOT/%{_bindir}/ior-decode
rm -f $RPM_BUILD_ROOT/%{_bindir}/old-name-server
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_datadir}/idl/orbit-1.0/*
rm -f $RPM_BUILD_ROOT/%{_datadir}/info/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libIDL.info.gz %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/libIDL.info.gz %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc -P libIDL/COPYING libIDL/ChangeLog libIDL/AUTHORS
%doc -P libIDL/README* libIDL/NEWS libIDL/BUGS libIDL/tstidl.c
%{_libdir}/lib*.so.*
%{_bindir}/orbit-event-server
%{_bindir}/orbit-name-server
%{_bindir}/name-client
%{_bindir}/orbit-ird

%files devel
%defattr(-,root,root)
%{_bindir}/orbit-idl
%{_bindir}/orbit-config
%{_bindir}/libIDL-config
%{_includedir}/*
%{_infodir}/libIDL.info.gz
%{_libdir}/*.sh
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*

%changelog
* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-10.4
- rebuild

* Mon Jun  9 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-10.2
- try removing smp_mflags

* Fri Jun  6 2003 Tim Powers <timp@redhat.com> 1:0.5.17-10.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-9
- a rebuild, to see if it rebuilds

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 1:0.5.17-8
- added ORBit-0.5.17-aligned-access.patch to fix accesses on some
  non-ia32 architectures (#86347)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 23 2003 Tim Powers <timp@redhat.com> 1:0.5.17-6
- add buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- mainframe builds with normal optims again for mainframe

* Thu Nov 21 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- set optflags to "-O0" for mainframe

* Sat Oct 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.5.17
- fix to include all files in the build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild to see if gcc still doesn't work

* Thu May 16 2002 Alex Larsson <alexl@redhat.com>
- Rebuild

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- change invocation of auto* such that it will kill the build if it fails
- comment out invocation of auto*, it seems to be pointless

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton
- don't invoke autoheader, seems to cause confusion
- don't run strip manually, let RPM deal with it

* Fri Feb  8 2002 Havoc Pennington <hp@redhat.com>
- 0.5.13

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- fix for automake14

* Tue Nov  6 2001 Jeremy Katz <katzj@redhat.com>
- 0.5.12

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.5.10

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot with headers moved

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 25 2000 Elliot Lee <sopwith@redhat.com>
- 0.5.3

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- fixed to work with new cpp.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.2 - a bug fix release.

* Tue Jun 27 2000 Havoc Pennington <hp@redhat.com>
- Trying to build the package for Preston and the build
  system wants a new changelog entry

* Sat Jun 24 2000 Preston Brown <pbrown@redhat.com>
- defattr the devel pkg
- FHS paths

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.1

* Tue Feb  3 2000 Elliot Lee <sopwith@redhat.com> 0.5.0-3
- Strip shared libraries

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com> 0.4.94-1
- Spec file fixes from RHL 6.0.

* Wed Jun 2 1999  Jose Mercado <jmercado@mit.edu>
- Fixed configure.in so spec.in could be used.

* Mon Nov 23 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- improved %files section, and added use of %{prefix} and install-info
  (well,... no. The info file has not dir info inside, commented out)
